<!DOCTYPE html>
<html>
<head>
<title> Bootstrap template- Pizza 365 project </title>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1">

<!-- font -->
<link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Lato">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">

<!-- Bootstrap -->
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>
<body onload="onPageLoading()">

  <!-- Menu -->
  <div class="container-fluid bg-light">
    <div class="row">
      <div class="col-sm-12">
        <nav class="navbar fixed-top navbar-expand-lg navbar-light bg-light">
          <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav"
            aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
          </button>
          <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav nav-fill w-100">
              <li class="nav-item active">
                <a class="nav-link" href="#">Home</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#plans">Plans</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#about">About</a>
              </li>
              <li class="nav-item">  <!-- đổi thành dạng click để dễ xử lý-->
                <a class="nav-link" href="viewOrder.html" id="id-vieworder">Order Detail</a>
              </li>
            </ul>
          </div>
        </nav>
      </div>  
    </div>
  </div>

  <!-- Content -->
  <div class="container" style="padding: 120px 0 50px 0;">
    <div class="row">
      <div class="col-sm-12">
        <div class="row">
          <!-- Title row home -->
          <div class="col-sm-12">
            <h1><b>Pizza 365</b></h1>
          </div>

          <!-- Slide row home -->
          <div class="col-sm-12">
            <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
              <ol class="carousel-indicators">
                <li data-target="#carouselExampleIndicators" data-slide-to="0" class="active"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="1"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="2"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="3"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="4"></li>
              </ol>
              <div class="carousel-inner">
                <div class="carousel-item active">
                  <img class="d-block w-100" src="images/mon_y_1.jpg" alt="First slide">
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/mon_y_2.jpg" alt="Second slide">
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/mon_y_3.jpg" alt="Third slide">
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/mon_y_4.jpg" alt="Third slide">
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/mon_y_5.jpg" alt="Third slide">
                </div>
              </div>
              <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
                <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                <span class="sr-only">Previous</span>
              </a>
              <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
                <span class="carousel-control-next-icon" aria-hidden="true"></span>
                <span class="sr-only">Next</span>
              </a>
            </div>
          </div>

          <!-- Title what we offer -->
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2><b class="p-2 border-bottom">Tại sao lại Pizza 365</b></h2>
          </div>

          <!-- Content what we offer -->
          <div class="col-sm-12">
            <div class="row">
              <div class="col-sm-3 p-4 bg-success border">
                <h3 class="p-2">Sản phẩm đa dạng</h3>
                <p class="p-2">Quán pizza 365 cung cấp nhiều loại pizza khác nhau, từ pizza truyền thống đến pizza đặc biệt, phù hợp với sở thích của nhiều khách hàng khác nhau.</p>
              </div>
              <div class="col-sm-3 p-4 bg-warning border">
                <h3 class="p-2">Chất lượng sản phẩm</h3>
                <p class="p-2">Quán sử dụng nguyên liệu tươi và chất lượng cao để làm pizza, cùng với phương pháp chế biến chuyên nghiệp, đảm bảo cho sản phẩm đạt tiêu chuẩn về hương vị và dinh dưỡng.</p>
              </div>
              <div class="col-sm-3 p-4 bg-info text-white border">
                <h3 class="p-2">Dịch vụ chuyên nghiệp</h3>
                <p class="p-2">Nhân viên tại quán pizza 365 luôn vui vẻ, nhiệt tình và có tay nghề cao, đảm bảo sự hài lòng của khách hàng.</p>
              </div>
              <div class="col-sm-3 p-4 bg-danger text-white border">
                <h3 class="p-2">Giá cả hợp lý</h3>
                <p class="p-2">Mặc dù chất lượng sản phẩm và dịch vụ tại quán rất tốt, nhưng giá cả của các món pizza vẫn rất phải chăng và hợp lý so với các quán pizza khác trên thị trường.</p>
              </div>
            </div>
          </div>
        </div>

        <div id="plans" class="row">
          <!-- Title what we offer -->
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2><b class="p-1 border-bottom">Menu Combo Pizza 365</b></h2>
            <p><span class="p-2">Hãy chọn cỡ pizza phù hợp với bạn!</span></p>
          </div>
          <!-- Content what we offer -->
          <div class="col-sm-12">
            <div class="row">
              <div class="col-sm-4">
                <div class="card">
                  <div class="card-header bg-dark text-white text-center">
                    <h3>S (small)</h3>
                  </div>
                  <div class="card-body text-center">
                    <ul class="list-group list-group-flush">
                      <li class="list-group-item"><b>Đường kính</b> 20cm</li>
                      <li class="list-group-item"><b>Sường nướng</b> 2</li>
                      <li class="list-group-item"><b>Salad</b> 200 g</li>
                      <li class="list-group-item"><b>Nước ngọt</b> 2</li>
                      <li class="list-group-item">
                        <h1><b>150.000</b></h1> VND
                      </li>
                    </ul>
                  </div>
                  <div class="card-footer text-center">
                    <button id="btn-s" class="btn btn-success" data-is-selected-menu = "N" onclick="onBtnSmallClick()">Chọn</button>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card">
                  <div class="card-header bg-secondary text-white text-center">
                    <h3>M (medium)</h3>
                  </div>
                  <div class="card-body text-center">
                    <ul class="list-group list-group-flush">
                      <li class="list-group-item"><b>Đường kính</b> 25cm</li>
                      <li class="list-group-item"><b>Sường nướng</b> 4</li>
                      <li class="list-group-item"><b>salad</b> 300 g</li>
                      <li class="list-group-item"><b>Nước ngọt</b> 3</li>
                      <li class="list-group-item">
                        <h1><b>200.000</b></h1> VND
                      </li>
                    </ul>
                  </div>
                  <div class="card-footer text-center">
                    <button id="btn-m" class="btn btn-success" data-is-selected-menu = "N" onclick="onBtnMediumClick()">Chọn</button>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card">
                  <div class="card-header bg-dark text-white text-center">
                    <h3>L (large)</h3>
                  </div>
                  <div class="card-body text-center">
                    <ul class="list-group list-group-flush">
                      <li class="list-group-item"><b>Đường kính</b> 30cm</li>
                      <li class="list-group-item"><b>Sường nướng</b> 8</li>
                      <li class="list-group-item"><b>salad</b> 500 g</li>
                      <li class="list-group-item"><b>Nước ngọt</b> 4</li>
                      <li class="list-group-item">
                        <h1><b>250.000</b></h1>  VND
                      </li>
                    </ul>
                  </div>
                  <div class="card-footer text-center">
                    <button id="btn-l" class="btn btn-success" data-is-selected-menu = "N" onclick="onBtnLargeClick()">Chọn</button>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>

        <div id="about" class="row">
          <!-- Title Who We Are -->
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2><b class="p-2 border-bottom">Chọn loại Pizza</b></h2>
          </div>

          <!-- Content Who We Are -->
          <div class="col-sm-12">
            <div class="row">
              <div class="col-sm-4">
                <div class="card w-100" style="width: 18rem;">
                  <img src="images/pizza_type_1.jpg" class="card-img-top">
                  <div class="card-body">
                    <h3>Hawai</h3>
                    <p>Món mới của cửa hàng</p>
                    <p>Hãy thưởng thức món ăn Hawai. Hương vị thơm ngon, dễ ăn.</p>
                    <p><button id="btn-hawai" onclick="onBtnHawaiClick()" class="btn btn-info w-100"  data-is-selected-pizza = "N">Chọn</button></p>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card w-100" style="width: 18rem;">
                  <img src="images/pizza_type_2.jpg" class="card-img-top">
                  <div class="card-body">
                    <h3>Hải Sản</h3>
                    <p>Món ăn đến từ biển</p>
                    <p>Bạn đã thử pizza được chế biến từ nguyên liệu hải sản chưa ?</p>
                    <p><button id="btn-hai-san" onclick="onBtnHaiSanClick()" class="btn btn-info w-100"  data-is-selected-pizza = "N">Chọn</button></p>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card w-100" style="width: 18rem;">
                  <img src="images/pizza_type_3.jpg" class="card-img-top">
                  <div class="card-body">
                    <h3>Thịt hun khói</h3>
                    <p>Món ăn đăc biệt</p>
                    <p>Được chế biến từ thịt bacon. Mang đến hương vị mới lạ.</p>
                    <p><button id="btn-thit" onclick="onBtnThitHunKhoiClick()" class="btn btn-info w-100"  data-is-selected-pizza = "N">Chọn</button></p>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>

        <div class="row">
          <div class="col-12 text-center p-4 mt-4">
            <h2><b class="p-2 border-bottom">Hãy chọn đồ uống bạn yêu thích</b></h2>
          </div>
          <div class="col-12">
            <select class="form-control" style="width: 100%;" id="select-drink">
              <option value="0">...</option>
            </select>
          </div>
        </div>

        <div id="contact" class="row">
          <!-- Title Contact Us -->
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2><b class="p-2 border-bottom">Thông tin đơn hàng</b></h2>
          </div>

          <!-- Content Contact Us -->
          <div class="col-sm-12">
            <div class="row">
              <div class="col-sm-12">
                <div class="form-group">
                  <label for="fullname">Họ và tên</label>
                  <input type="text" class="form-control" id="inp-fullname" placeholder="Họ và tên">
                </div>
                <div class="form-group">
                  <label for="email">Email</label>
                  <input type="text" class="form-control" id="inp-email" placeholder="Email">
                </div>
                <div class="form-group">
                  <label for="dien-thoai">Điện thoại</label>
                  <input type="text" class="form-control" id="inp-dien-thoai" placeholder="Điện thoại">
                </div>
                <div class="form-group">
                  <label for="dia-chi">Địa chỉ</label>
                  <input type="text" class="form-control" id="inp-dia-chi" placeholder="Địa chỉ">
                </div>
                <div class="form-group">
                  <label for="message">Lời nhắn</label>
                  <input type="text" class="form-control" id="inp-message" placeholder="Lời nhắn">
                </div>
                <div class="form-group">
                  <label for="message">Mã giảm giá</label>
                  <input type="text" class="form-control" id="inp-voucher-id" placeholder="mã giảm giá">
                </div>
                <button type="button" class="btn btn-dark w-100" onclick="onBtnKiemTraDonClick()">Send (Gửi đơn)</button>
              </div>
            </div>
          </div>
          <!-- vùng hiển thị thông tin đơn hàng(order) -->
          <div id="div-container-order" class="container bg-info p-2 jumbotron" style="display: none">
            <div id="div-order-infor" class="text-white p-3">...</div>
            <div class="p-2">
              <button type="button" class="btn btn-warning w-100" onclick="onBtnGuiDonClick()">
                Gửi đơn
              </button>
            </div>
          </div>

          <div id="div-container-orderCode" class="container bg-info p-2 jumbotron" style="display: none">
            <div id="div-orderCode-infor" class="text-white p-3">...</div>
          </div>

        </div>
      </div>
    </div>
  </div>

  <!-- Footer -->
  <div class="container-fluid bg-light p-5">
    <div class="row text-center">
      <div class="col-sm-12">
        <h4 class="m-2">Footer</h4>
        <a href="#" class="btn btn-dark m-3"><i class="fa fa-arrow-up"></i>To the top</a>
        <div class="m-2">
          <i class="fa fa-facebook-official w3-hover-opacity"></i>
          <i class="fa fa-instagram w3-hover-opacity"></i>
          <i class="fa fa-snapchat w3-hover-opacity"></i>
          <i class="fa fa-pinterest-p w3-hover-opacity"></i>
          <i class="fa fa-twitter w3-hover-opacity"></i>
          <i class="fa fa-linkedin w3-hover-opacity"></i>
        </div>
      </div>
    </div>
  </div>
</body>
  
<script>
"use strict";
/*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */ 
const gREQUEST_STATUS_OK = 200;
const gREQUEST_READY_STATUS_FINISH_AND_OK = 4;
const gREQUEST_CREATE_SUCCESS = 201; // status 201 - tạo thành công

const gMENU_SMALL = "S";
const gMENU_MEDIUM = "M";
const gMENU_LARGE = "L";

const gPIZZA_HAWAI = "hawai";
const gPIZZA_HAISAN = "hải sản";
const gPIZZA_THITHUNKHOI = "thịt hun khói";

/*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các elements */
function onNavOrderDetailClick () {
  console.log("%cGọi chi tiết order ở đây", "color:blue");

}

function onPageLoading(){
  callApiGetDataDrink();
}
/*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
//hàm thục hiện sự kiện nút Small được ấn
function onBtnSmallClick(){
  //tạo đối tượng menu combo, được tham số hóa 
  var vSelectedMenuStructure = getCombo(gMENU_SMALL, 20, 2, 200, 2, 150000);
  //đổi màu nút btn S
  changeColorBtnComboMenu(gMENU_SMALL);
  console.log("%cMenu combo S","color: green");
}
//hàm thục hiện sự kiện nút Medium được ấn
function onBtnMediumClick(){
  //tạo đối tượng menu combo, được tham số hóa
  var vSelectedMenuStructure = getCombo(gMENU_MEDIUM, 25, 4, 300, 3, 200000);
  //đổi màu nút btn MM
  changeColorBtnComboMenu(gMENU_MEDIUM);
  console.log("%cMenu combo M", "color: blue");
}
//hàm thục hiện sự kiện nút Large được ấn
function onBtnLargeClick(){
  //tạo đối tượng menu combo, được tham số hóa
  var vSelectedMenuStructure = getCombo(gMENU_LARGE, 30, 8, 500, 4, 250000);
  //đổi màu nút btn L
  changeColorBtnComboMenu(gMENU_LARGE);
  console.log("%cMenu combo L","color: purple");
}
//hàm thục hiển sự kiện nút pizza hawau được ấn
function onBtnHawaiClick(){
  changePizzaBtnColor(gPIZZA_HAWAI);
  console.log("%cPizza được chọn là: " + gPIZZA_HAWAI,"color: orange");
}
//hàm thực hiện sự kiện nút pizza hải sản được chọn
function onBtnHaiSanClick(){
  changePizzaBtnColor(gPIZZA_HAISAN);
  console.log("%cPizza được chọn là: " + gPIZZA_HAISAN,"color: orange");;
}
//hàm thục hiện sự kiện nút pizza thịt hun khói được chọn
function onBtnThitHunKhoiClick(){
  changePizzaBtnColor(gPIZZA_THITHUNKHOI);
  console.log("%cPizza được chọn là: " + gPIZZA_THITHUNKHOI,"color: orange");
}

//hàm thục hiện sự kiến nút bấn kiểm tra đơn
function onBtnKiemTraDonClick(){
  "use strict";
  //b1 thu thập dữ liệu
  var vDataOrder = getData();
  //b2 kiểm tra dữ liệu
  var vDuLieuHopLe = validateDaTaOrder(vDataOrder);
  if(vDuLieuHopLe){
    //b3 gọi api
    //b4 hiển thị thông tin
    displayInformation(vDataOrder);
  }
}
//hàm thực hiện sự kiện nút bấm gửi đơn
function onBtnGuiDonClick(){
  "use strict";
  callApiCreateOrder();
}
/*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
//hàm thực hiện chức năng đổi màu các nút btn pizza được chọn
function changePizzaBtnColor(paramPizza){
  //truy vấn nút btn Pizza hawai
  var vBtnHawai = document.getElementById("btn-hawai");
  //truy vấn nút btn Pizza hải sản
  var vBtnHaiSan = document.getElementById("btn-hai-san");
  //truy vấn nút btn Pizza Thịt hun khói được chọn
  var vBtnThitHunKhoi = document.getElementById("btn-thit");

  if(paramPizza == gPIZZA_HAWAI){
    vBtnHawai.className = "btn btn-warning w-100";
    vBtnHawai.setAttribute("data-is-selected-pizza", "Y");

    vBtnHaiSan.className = "btn btn-success w-100";
    vBtnHaiSan.setAttribute("data-is-selected-pizza", "N");

    vBtnThitHunKhoi.className = "btn btn-success w-100";
    vBtnThitHunKhoi.setAttribute("data-is-selected-pizza", "N");
  }
  else if(paramPizza == gPIZZA_HAISAN){
    vBtnHawai.className = "btn btn-success w-100";
    vBtnHawai.setAttribute("data-is-selected-pizza", "N");

    vBtnHaiSan.className = "btn btn-warning w-100";
    vBtnHaiSan.setAttribute("data-is-selected-pizza", "Y");

    vBtnThitHunKhoi.className = "btn btn-success w-100";
    vBtnThitHunKhoi.setAttribute("data-is-selected-pizza", "N");
  }
  else if(paramPizza == gPIZZA_THITHUNKHOI){
    vBtnHawai.className = "btn btn-success w-100";
    vBtnHawai.setAttribute("data-is-selected-pizza", "N");

    vBtnHaiSan.className = "btn btn-success w-100";
    vBtnHaiSan.setAttribute("data-is-selected-pizza", "N");

    vBtnThitHunKhoi.className = "btn btn-warning w-100";
    vBtnThitHunKhoi.setAttribute("data-is-selected-pizza", "Y");
  }
}
//hàm thực hiển chức năng đổi màu các nút btn menu combo nếu được chọn
function changeColorBtnComboMenu(paramMenuCombo){
 //truy vấn các nút btn Small
 var vBtnS = document.getElementById("btn-s");
 //truy vấn nút btn medium
 var vBtnM = document.getElementById("btn-m");
 //truy vấn nút btn large
 var vBtnL = document.getElementById("btn-l");

 if(paramMenuCombo == gMENU_SMALL){
  vBtnS.className = "btn btn-warning";
  vBtnS.setAttribute("data-is-selected-menu", "Y");

  vBtnM.className = "btn btn-success";
  vBtnM.setAttribute("data-is-selected-menu", "N")

  vBtnL.className = "btn btn-success";
  vBtnL.setAttribute("data-is-selected-menu", "N");
 }
 else if(paramMenuCombo == gMENU_MEDIUM){
  vBtnS.className = "btn btn-success";
  vBtnS.setAttribute("data-is-selected-menu", "N");

  vBtnM.className = "btn btn-warning";
  vBtnM.setAttribute("data-is-selected-menu", "Y")

  vBtnL.className = "btn btn-success";
  vBtnL.setAttribute("data-is-selected-menu", "N");
 }
 else if(paramMenuCombo ==gMENU_LARGE){
  vBtnS.className = "btn btn-success";
  vBtnS.setAttribute("data-is-selected-menu", "N");

  vBtnM.className = "btn btn-success";
  vBtnM.setAttribute("data-is-selected-menu", "N")

  vBtnL.className = "btn btn-warning";
  vBtnL.setAttribute("data-is-selected-menu", "Y");
 }
}

function getCombo(
  paramMenuName,
  paramDuongKinhCm,
  paramSuongNuong,
  paramSalad,
  paramDrink,
  paramPriceVND
){
  var vMenuObj = {
    menuName: paramMenuName,
    duongKinhCm: paramDuongKinhCm,
    suongNuong: paramSuongNuong,
    salad: paramSalad,
    drink: paramDrink,
    priceVND: paramPriceVND,
    displayConsoleLog: function(){
      console.log("Menu: " + this.menuName);
      console.log("Đường kính (cm): " + this.duongKinhCm);
      console.log("Sương nướng: " + this.suongNuong);
      console.log("Salad: " + this.salad);
      console.log("Nước uống: " + this.drink);
      console.log("Giá (VND): " + this.priceVND);
    }
  }
  return vMenuObj;
}
//hàm thu thập dữ liệu
function getData(){
  //truy vấn nut btn S
  var vBtnS = document.getElementById("btn-s");
  var vDaChonMenuS = vBtnS.getAttribute("data-is-selected-menu");
  //truy vấn nút btn M
  var vBtnM = document.getElementById("btn-m");
  var vDaChonMenuM = vBtnM.getAttribute("data-is-selected-menu");
  //truy vấn nút btn L
  var vBtnL = document.getElementById("btn-l");
  var vDaChonMenuL = vBtnL.getAttribute("data-is-selected-menu");

  var vSelectedMenuStructure = getCombo("", 0, 0, 0, 0, 0);
  if(vDaChonMenuS == "Y"){
    vSelectedMenuStructure = getCombo(gMENU_SMALL, 20, 2, 200, 2, 150000);
  }
  else if(vDaChonMenuM == "Y"){
    vSelectedMenuStructure = getCombo(gMENU_MEDIUM, 25, 4, 300, 3, 200000);
  }
  else if(vDaChonMenuL == "Y"){
    vSelectedMenuStructure = getCombo(gMENU_LARGE, 30, 8, 500, 4, 250000);
  }
  //truy vấn nút pizza hawai
  var vBtnHawai = document.getElementById("btn-hawai");
  var vDaChonHawai = vBtnHawai.getAttribute("data-is-selected-pizza");
  //truy vấn nút pizza hải sản được chọn
  var vBtnHaiSan = document.getElementById("btn-hai-san");
  var vDaChonHaiSan = vBtnHaiSan.getAttribute("data-is-selected-pizza");
  //truy vấn nút pizza thịt hun khói
  var  vBtnThitHunKhoi = document.getElementById("btn-thit");
  var vDaChonThitHunKhoi = vBtnThitHunKhoi.getAttribute("data-is-selected-pizza");
  
  var vLoaiPizza = "";
  if(vDaChonHawai == "Y"){
    vLoaiPizza = gPIZZA_HAWAI;
  }
  else if(vDaChonHaiSan == "Y"){
    vLoaiPizza = gPIZZA_HAISAN;
  }
  else if(vDaChonThitHunKhoi == "Y"){
    vLoaiPizza = gPIZZA_THITHUNKHOI;
  }

  var vSelectDrink = document.getElementById("select-drink");
  var vValueSelectDrink = vSelectDrink.value;

  var vInputHoTen = document.getElementById("inp-fullname");
  var vValueHoTen = vInputHoTen.value.trim();

  var vInputEmail = document.getElementById("inp-email");
  var vValueEmail = vInputEmail.value.trim();

  var vInputSDT = document.getElementById("inp-dien-thoai");
  var vValueSDT = vInputSDT.value.trim();

  var vInputDiaChi = document.getElementById("inp-dia-chi");
  var vValueDiaChi = vInputDiaChi.value.trim();

  var vInputLoiNhan = document.getElementById("inp-message");
  var vValueLoiNhan = vInputLoiNhan.value.trim();

  var vInputMaGiamGia = document.getElementById("inp-voucher-id");
  var vValueMaGiamGia = vInputMaGiamGia.value.trim();

  // khái báo biến để chứa phần trăm giảm giá
  var vPercent = 0;
  // goi ham tinh phan tram
  var vVoucherObj = onBtnCheckVoucherClick(vValueMaGiamGia);
  if (vValueMaGiamGia != ""  && vVoucherObj != null) {
    vPercent = vVoucherObj.phanTramGiamGia;
  }else if (vValueMaGiamGia != ""  && vVoucherObj == null){
    alert("voucher không tồn tại ")
  }


  var vOrderObj = {
    menuDuocChon: vSelectedMenuStructure,
    loaiPizza: vLoaiPizza,
    loaiNuocUong: vValueSelectDrink,
    hoTen: vValueHoTen,
    email: vValueEmail,
    dienThoai: vValueSDT,
    diaChi: vValueDiaChi,
    loiNhan: vValueLoiNhan,
    voucher: vValueMaGiamGia,
    phanTramGiamGia: vPercent,
    priceAnnualVND: function(){
      var vTotal = this.menuDuocChon.priceVND * (1 - this.phanTramGiamGia / 100);
      return vTotal;
    }
  }
  return vOrderObj;
}
//hàm hiểm tra dữ liệu
function validateDaTaOrder(paramOrder){
  if(paramOrder.menuDuocChon.menuName == ""){
    alert("Bạn cần chọn menu combo");
    return false;
  }
  if(paramOrder.loaiPizza == ""){
    alert("Bạn cần chọn loại pizza");
    return false;
  }
  if(paramOrder.loaiNuocUong == 0){
    alert("Hãy chọn loại nước uống");
    return false;
  }
  if(paramOrder.hoTen == ""){
    alert("Bạn cần nhập họ tên");
    return false;
  }
  if(isCheckEmail(paramOrder.email) == ""){
    return false;
  }
  if(paramOrder.dienThoai == ""){
    alert("Bạn cần nhập số điện thoại");
    return false;
  }
  if(paramOrder.diaChi == ""){
    alert("Hãy nhập địa chỉ");
    return false;
  }
  return true;
}
//hàm kiểm tra email
function isCheckEmail(paramEmail){
  if(paramEmail < 3){
    alert("Nhập email");
    return false;
  }
  if(paramEmail.indexOf("@") === -1){
    alert("Email phải có ký tự @");
    return false;
  }
  if(paramEmail.startsWith("@") == true){
    alert("Email không bắt đầu bằng @");
    return false;
  }
  if(paramEmail.endsWith("@") == true){
    alert("Email không kết thúc bằng @");
    return false;
  }
  return true;
}
//hàm hiển thị thông tin
function displayInformation(paramOrder){
  var vDivContainer = document.getElementById("div-container-order");
  var vDivOrderInfo = document.getElementById("div-order-infor");
  vDivContainer.style.display = "block";
  vDivOrderInfo.innerHTML = "Họ và tên: " + paramOrder.hoTen + "<br>";
  vDivOrderInfo.innerHTML += "Email: " + paramOrder.email + "<br>";
  vDivOrderInfo.innerHTML += "Điện thoại: " + paramOrder.dienThoai + "<br>";
  vDivOrderInfo.innerHTML += "Địa chỉ: " + paramOrder.diaChi + "<br>";
  vDivOrderInfo.innerHTML += "Lời nhắn: " + paramOrder.loiNhan + "<br>";
  vDivOrderInfo.innerHTML += "........................................" + "<br>";
  vDivOrderInfo.innerHTML += "Kích cỡ: " + paramOrder.menuDuocChon.menuName + "<br>";
  vDivOrderInfo.innerHTML += "Đường kính: " + paramOrder.menuDuocChon.duongKinhCm + "<br>";
  vDivOrderInfo.innerHTML += "Sườn nướng: " + paramOrder.menuDuocChon.suongNuong + "<br>";
  vDivOrderInfo.innerHTML += "Salad : " + paramOrder.menuDuocChon.salad + "<br>";
  vDivOrderInfo.innerHTML += "Nước Ngọt : " + paramOrder.menuDuocChon.drink + "<br>";
  vDivOrderInfo.innerHTML += "....................................." + "<br>";
  vDivOrderInfo.innerHTML += "Loại pizza : " + paramOrder.loaiPizza + "<br>";
  vDivOrderInfo.innerHTML += "Loại nước uống : " + paramOrder.loaiNuocUong + "<br>";
  vDivOrderInfo.innerHTML += "Mã voucher : " + paramOrder.voucher + "<br>";
  vDivOrderInfo.innerHTML += "Giá vnd : " + paramOrder.menuDuocChon.priceVND + "<br>";
  vDivOrderInfo.innerHTML += "Discount %: " + paramOrder.phanTramGiamGia + "<br>";
  vDivOrderInfo.innerHTML += "Phải thanh toán vnd: " + paramOrder.priceAnnualVND();
}
//hàm goi api để tạo đơn hàng mới
function callApiCreateOrder() {
    "use strict";
    //base url
    const vBASE_URL = "http://203.171.20.210:8080/devcamp-pizza365/orders";
    var vOrder = getData();
    //khai báo đối tượng để chứa thông tin đặt hàng
    var vObjectRequest = {
            kichCo: vOrder.menuDuocChon.menuName,
            duongKinh: vOrder.menuDuocChon.duongKinhCm,
            suon: vOrder.menuDuocChon.suongNuong,
            salad: vOrder.menuDuocChon.salad,
            loaiPizza: vOrder.loaiPizza,
            idVourcher: vOrder.voucher,
            idLoaiNuocUong: vOrder.loaiNuocUong,
            soLuongNuoc: vOrder.menuDuocChon.drink,
            hoTen: vOrder.hoTen,
            thanhTien: vOrder.priceAnnualVND(),
            email: vOrder.email,
            soDienThoai: vOrder.soDienThoai,
            diaChi: vOrder.diaChi,
            loiNhan: vOrder.loiNhan
        }

    var vXmlHttpCreateOrder = new XMLHttpRequest();
    vXmlHttpCreateOrder.open("POST", vBASE_URL, true);
    vXmlHttpCreateOrder.setRequestHeader("Content-Type", "application/json;charset=UTF-8");
    vXmlHttpCreateOrder.send(JSON.stringify(vObjectRequest));
    vXmlHttpCreateOrder.onreadystatechange =
      function () {
          if (this.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK && this.status == gREQUEST_CREATE_SUCCESS) { // status 201 tao thanh cong
              var vCreatedOrder = vXmlHttpCreateOrder.responseText;
              console.log(vCreatedOrder);
              displayInformationOrderCode(vXmlHttpCreateOrder);
              
          }
      }
}
//hàm hiển thị thông tin orderCode
function displayInformationOrderCode(paramXmlHttp){
  var vOrderCodeObj = JSON.parse(paramXmlHttp.responseText);
  var vDivContainer = document.getElementById("div-container-order");
  var vDivContainerOrderCode = document.getElementById("div-container-orderCode");
  var vDivOrderInfoOrderCode = document.getElementById("div-orderCode-infor");
  vDivContainer.style.display = "none";
  vDivContainerOrderCode.style.display = "block";
  vDivOrderInfoOrderCode.innerHTML = "Cảm ơn bạn đã đặt hàng tại Pizza 365. Mã đơn hàng của bạn là: " + "<br>"
  vDivOrderInfoOrderCode.innerHTML += "Mã đơn hàng: " + vOrderCodeObj.orderCode + "<br>";

  var vViewOrder = document.getElementById("id-vieworder");
                    vViewOrder.getAttribute("data-id");
                    vViewOrder.getAttribute("data-ordercode");
                    vViewOrder.dataset.id = vOrderCodeObj.id;
                    vViewOrder.dataset.ordercode = vOrderCodeObj.orderCode;
                    var vId = vViewOrder.dataset.id;
                    var vOderCode = vViewOrder.dataset.ordercode;
                    const vDETAIL_FORM_URL = "viewOrder.html";
                    var vUrlSiteToOpen = vDETAIL_FORM_URL +
                    "?ordercode=" + vOderCode + "&id=" + vId;
                    vViewOrder.href = vUrlSiteToOpen; 

}
//hàm gọi api để lấy dữ liệu voucher
function onBtnCheckVoucherClick(paramVoucherID){
    "use strict";
    const vBASE_URL = "http://203.171.20.210:8080/devcamp-pizza365/voucher_detail";
    var vVoucherId = paramVoucherID;  //một số mã đúng để test: 95531, 81432,...lưu ý test cả mã sai
    if (vVoucherId === ""){
      vVoucherId = 1;
    }
    // nếu mã giảm giấ đã nhập, tạo vXmlHttp request và gửi về server
    var vXmlHttp = new XMLHttpRequest();
    vXmlHttp.open("GET", vBASE_URL + "/" + vVoucherId, false);
    vXmlHttp.send(null);
    if(vXmlHttp.status == gREQUEST_STATUS_OK) { // restFullAPI successful
        // nhận lại response dạng JSON ở vXmlHttp.responseText và chuyển thành object
        console.log(vXmlHttp.responseText);     
        var vResponse = JSON.parse(vXmlHttp.responseText);
        return vResponse;
    } 
  }
//hàm gọi Api để lấy dữ liệu đồ uống
function callApiGetDataDrink(){
  "use strict";
  const vBASE_URL = "http://203.171.20.210:8080/devcamp-pizza365/drinks";
  var vXhttp = new XMLHttpRequest();
  vXhttp.onreadystatechange =
      function () {
          if (this.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK && this.status == gREQUEST_STATUS_OK) {
            loadDataToSelectDrink(vXhttp);
          }
      };
      vXhttp.open("GET",vBASE_URL, true);
      vXhttp.send();
}
//hàm đổ dữ liệu drink vào select
function loadDataToSelectDrink(paramXmlHttp){
  var vDrinkObj = JSON.parse(paramXmlHttp.responseText);
  var vSelectDrink = document.getElementById("select-drink");

  for(var bI = 0; bI < vDrinkObj.length; bI++){
    var vOptionElement = document.createElement("option");
    vOptionElement.value = vDrinkObj[bI].maNuocUong;
    vOptionElement.innerHTML = vDrinkObj[bI].tenNuocUong;

    vSelectDrink.appendChild(vOptionElement);
  }
}


</script>

</html>